Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::MeshManager Class Reference

メッシュマネージャ More...

`#include <MeshManager.h>`

Inheritance diagram for Lamp::MeshManager:

List of all members.

## Public Member Functions
virtual RigidMesh * | createRigidMesh (const String &meshName)
| 剛体メッシュの作成
virtual CharacterMesh * | createCharacterMesh (const String &meshName)
| キャラクタメッシュの作成
virtual bool | initializeGraphicsDeviceObjects ()
| デバイスオブジェクトの初期化
virtual void | deleteGraphicsDeviceObjects ()
| デバイスオブジェクトの削除
virtual bool | restoreGraphicsDeviceObjects ()
| デバイスオブジェクトのリストア
virtual void | invalidateGraphicsDeviceObjects ()
| デバイスオブジェクトの無効化
## Protected Member Functions
| MeshManager (Scene *scene)
| コンストラクタ
## Friends
class | Scene

## Detailed Description

メッシュマネージャ

Definition at line 38 of file MeshManager.h.

## Constructor & Destructor Documentation

Lamp::MeshManager::MeshManager | ( | Scene * | scene | ) | `[protected]`

  | コンストラクタ Parameters:
  scene | シーン
Definition at line 32 of file MeshManager.cpp.

## Member Function Documentation

CharacterMesh * Lamp::MeshManager::createCharacterMesh | ( | const String & | meshName | ) | `[virtual]`

  | キャラクタメッシュの作成 すでに同じメッシュ名のメッシュが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  meshName | メッシュ名
Returns: 作成されたメッシュ Definition at line 45 of file MeshManager.cpp. References Lamp::SceneObjectManagerTemplate< Mesh >::addDatabase(), Lamp::SceneObjectManagerTemplate< Mesh >::checkName(), Lamp::SceneObjectManagerTemplate< Mesh >::getScene(), and NULL. Referenced by Lamp::CharacterMesh::copyCharacterMesh(), Lamp::TextSceneLoader::readCharacterMesh(), and Lamp::BinarySceneLoader::readCharacterMesh().

RigidMesh * Lamp::MeshManager::createRigidMesh | ( | const String & | meshName | ) | `[virtual]`

  | 剛体メッシュの作成 すでに同じメッシュ名のメッシュが存在するとエラーになります。 空文字列を名前に指定するとエラーになります。 Parameters:
  meshName | メッシュ名
Returns: 作成されたメッシュ Definition at line 37 of file MeshManager.cpp. References Lamp::SceneObjectManagerTemplate< Mesh >::addDatabase(), Lamp::SceneObjectManagerTemplate< Mesh >::checkName(), Lamp::SceneObjectManagerTemplate< Mesh >::getScene(), and NULL. Referenced by Lamp::RigidMesh::copyRigidMesh(), Lamp::TextSceneLoader::readRigidMesh(), and Lamp::BinarySceneLoader::readRigidMesh().

bool Lamp::MeshManager::initializeGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトの初期化 Returns: 成功したらtrueを返す Definition at line 53 of file MeshManager.cpp. References Lamp::SceneObjectManagerTemplate< Mesh >::get(), Lamp::SceneObjectManagerTemplate< Mesh >::getCount(), and Lamp::Mesh::initializeGraphicsDeviceObjects(). Referenced by Lamp::Scene::initializeGraphicsDeviceObjects().

bool Lamp::MeshManager::restoreGraphicsDeviceObjects | ( |  | ) | `[virtual]`

| デバイスオブジェクトのリストア Returns: 成功したらtrueを返す Definition at line 70 of file MeshManager.cpp. References Lamp::SceneObjectManagerTemplate< Mesh >::get(), Lamp::SceneObjectManagerTemplate< Mesh >::getCount(), and Lamp::Mesh::restoreGraphicsDeviceObjects(). Referenced by Lamp::Scene::restoreGraphicsDeviceObjects().

The documentation for this class was generated from the following files:

- MeshManager.h
- MeshManager.cpp